
#property indicator_chart_window

extern double  ZeroLine = 0.0;
extern color   _mainColor = Magenta;
extern color   _levelColor = Yellow;
extern int _levelLineThickness=1;
extern int     _levelCount = 4;
extern int     _levelShift = 550;

   string  _levelNameDown="";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   if (ZeroLine==0.0) ZeroLine=Close[0];
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   int i;
   ObjectDelete("ZeroLine");
   for (i=1; i<=_levelCount; i++){
       _levelNameDown=i+"Down";
       ObjectDelete(_levelNameDown);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int i;
   double _levelDown=ZeroLine;

//----
   //ObjectDelete("ZeroLine");
   ObjectCreate("ZeroLine",OBJ_HLINE,0,0,ZeroLine);
   ObjectSet("ZeroLine", OBJPROP_COLOR,_mainColor);
   
   for (i=1; i<=_levelCount; i++){
      _levelNameDown=i+"Down";
      
      _levelDown=_levelDown-_levelShift*Point;
      
      ObjectDelete(_levelNameDown);
      
      ObjectCreate(_levelNameDown,OBJ_HLINE,0,0,_levelDown);
      
      ObjectSet(_levelNameDown,OBJPROP_COLOR,_levelColor);
      ObjectSet(_levelNameDown,OBJPROP_WIDTH,_levelLineThickness);
   }
   ZeroLine=ObjectGet("ZeroLine",OBJPROP_PRICE1);
//----
   return(0);
  }
//+------------------------------------------------------------------+